<?php
if (!class_exists('EmailsTpl_Validator'))
{
	class EmailsTpl_Validator
	{
	    /**
		 * Check if is valid the format of a Postal Code
		 *
		 * @static 
		 * @param string $value text to be validated
		 * @return boolean
		 * @access public
		 */
		static function is_valid_postal_code($value) {
	    	if (class_exists('GpcKits_Validator'))
	    		return GpcKits_Validator::is_valid_postal_code($value);
	    	else
	    		return FALSE;
	    }
	    
	    /**
		 * Check if is valid the format of a Telephone
		 *
		 * @static 
		 * @param string $value text to be validated
		 * @return boolean
		 * @access public
		 */
		static function is_valid_telephone($value) {
	    	if (class_exists('GpcKits_Validator'))
	    		return GpcKits_Validator::is_valid_telephone($value);
	    	else
	    		return FALSE;
	    }
	    
	    /**
		 * Check if is valid the format of a Telefax
		 *
		 * @static 
		 * @param string $value text to be validated
		 * @return boolean
		 * @access public
		 */
		static function is_valid_telefax($value) {
	    	if (class_exists('GpcKits_Validator'))
	    		return GpcKits_Validator::is_valid_telefax($value);
	    	else
	    		return FALSE;
	    }
	    
	    /**
		 * Parse a data to be shown in templates
		 *
		 * @static 
		 * @param string $string text to be parsed
		 * @return string
		 * @access public
		 */
		static function parse_output($string) {
	    	if (class_exists('GpcKits_Validator'))
	    		return GpcKits_Validator::parse_output($string);
	    	else
	    		return $string;
	    }
	    
	    /**
		 * Parse an array of data to be shown in templates
		 *
		 * @static 
		 * @param array $array with text to be parsed
		 * @return string
		 * @access public
		 */
		static function parse_array_output($array) {
	    	if (class_exists('GpcKits_Validator'))
	    		return GpcKits_Validator::parse_array_output($array);
	    	else
	    		return $array;
	    }
	    
	    /**
		 * Parse a string and return a safe value
		 *
		 * @static 
		 * @param string $string text to be parsed
		 * @return string
		 * @access public
		 */
		static function parse_string($string) {
	    	if (class_exists('GpcKits_Validator'))
	    		return GpcKits_Validator::parse_string($string);
	    	else
	    		return $string;
	    }
	    
	    /**
		 * Decode an URL and return the original value
		 *
		 * @static 
		 * @param string $url
		 * @return string
		 * @access public
		 */
		static function decode_url($url) {
	    	if (class_exists('GpcKits_Validator'))
	    		return GpcKits_Validator::decode_url($url);
	    	else
	    		return $url;
	    }
	    
	    /**
		 * Parse an integer and return a safe value
		 *
		 * @static 
		 * @param int $int integer to be parsed
		 * @return int
		 * @access public
		 */
		static function parse_int($int) {
	    	if (class_exists('GpcKits_Validator'))
	    		return GpcKits_Validator::parse_int($int);
	    	else
	    		return $int;
	    }
	    
	    /**
		 * Parse a decimal and return a safe value
		 *
		 * @static 
		 * @param decimal $decimal decimal to be parsed
		 * @return decimal
		 * @access public
		 */
		static function parse_decimal($decimal) {
	    	if (class_exists('GpcKits_Validator'))
	    		return GpcKits_Validator::parse_decimal($decimal);
	    	else
	    		return $decimal;
	    }
	}
}
?>