<?php
/**
 * Administrator include to edit mails templates
 *
 * @package email_tpl
 */

// Logged in users are required to access. Check if user is authenticated, if not, redirect to User Login page
EmailsTpl_Users::an_admin_must_be_authenticated();

// Initialise variables
$form['email_tpl']['id'] = '';
$form['email_tpl']['name'] = '';
$form['email_tpl']['subject'] = '';
$form['email_tpl']['body'] = '';
$form['email_tpl']['lang'] = '';
$form['email_tpl']['wildcards'] = array();

// Set defaul keywords
$form['email_tpl']['wildcards'][] = array('name' => '[site_url]','description' => __('Website URL'));
$form['email_tpl']['wildcards'][] = array('name' => '[site_name]','description' => __('Name of the website'));

// Action 1- Update Class
if (isset($_POST['submit'])) {
	$post_name = EmailsTpl_Validator::parse_string($_POST['name']);
	$post_lang = EmailsTpl_Validator::parse_string($_POST['lang']);
	
	$action = 'add';
	// Check if is a translation to add or update
	$all_translations = EmailsTpl_Emails::get_all($post_name,'name','','%s');
	foreach ($all_translations as $item) {
		if ($item->lang==$post_lang)	{
			$action = 'update';
		}
	}
	
	if ($action=='add') {
		$data_to_db['name'] = $post_name;
		$data_to_db['lang'] = $post_lang;
		$data_to_db['wildcards_list'] = EmailsTpl_Validator::parse_string($_POST['wildcards_list']);
		$data_to_db['subject'] = EmailsTpl_Validator::parse_string($_POST['subject']);
		$data_to_db['body'] = EmailsTpl_Validator::parse_string($_POST['body']);
		
		EmailsTpl_Emails::add($data_to_db);
	}
	else {
		$data_to_where['name'] = $post_name;
		$data_to_where['lang'] = $post_lang;
	
		$data_to_db['subject'] = EmailsTpl_Validator::parse_string($_POST['subject']);
		$data_to_db['body'] = EmailsTpl_Validator::parse_string($_POST['body']);
		
		EmailsTpl_Emails::update($data_to_db,$data_to_where);
	}
	
	$msg_notify[] = __('The item was updated.','emails-tpl');	
}

// Action 2- Edit Class
if (isset($_GET['id'])) {
	$get_id = EmailsTpl_Validator::parse_int($_GET['id']);
	$data = EmailsTpl_Emails::get($get_id);
	
	$form['email_tpl']['id'] = $data->id;
	$form['email_tpl']['name'] = $data->name;
	$form['email_tpl']['lang'] = $data->lang;
	$form['email_tpl']['subject'] = $data->subject;
	$form['email_tpl']['body'] = $data->body;
	$form['email_tpl']['wildcards_list'] = $data->wildcards_list;
	
	if (isset($_GET['lang'])) {
		$get_lang = EmailsTpl_Validator::parse_string($_GET['lang']);
		$form['email_tpl']['lang'] = $get_lang;
	}
	else 
		$get_lang = '';
	
	// Get specific keywords for this template
	$wildcards_list = $data->wildcards_list;
	$wildcards_list_arr = split(',',$wildcards_list);
	foreach ($wildcards_list_arr as $item) {
		$form['email_tpl']['wildcards'][] = array('name' => $item,'description' => __('Website URL'));
	}
	
	// Check for translations of this template (identified by name) and if are any for the selected language
	// Replace the values of lang, Subject and Body
	$all_translations = EmailsTpl_Emails::get_all($form['email_tpl']['name'],'name','','%s');
	foreach ($all_translations as $item) {
		if (strtolower($item->lang)==strtolower($get_lang))	{
			$form['email_tpl']['lang'] = $item->lang;
			$form['email_tpl']['subject'] = $item->subject;
			$form['email_tpl']['body'] = $item->body;
		}
	}
}

include( EmailsTpl::$plugin_dir . '/templates/includes/admin/email_tpl_form.php'); 
?>