<?php
/**
 * Template to edit mails templates
 *
 * //Class: emails_tpl
 * @uses number $form['email_tpl']['id']
 * @uses string $form['email_tpl']['name']
 * @uses string $form['email_tpl']['subject']
 * @uses html	$form['email_tpl']['body']
 * @uses string	$form['email_tpl']['lang'] //user friendly
 * @uses array	$form['email_tpl']['wildcards'] //include here default keywords: 
 *	array('name' => '[site_url]','description' => __('Website URL')), 
 *  array('name' => '[site_name]','description' => __('Name of the website'))
 *
 * //Class: email_tpl_wildcard
 * @uses string	$form['email_tpl']['wildcards']['name']
 * @uses string	$form['email_tpl']['wildcards']['description']
 *
 * @package emails_tpl
 * 
 * Security 
 * - admins are required to edit, update
 *
 * Actions
 * 1- Update Class
 * 2- Edit Class
 		- if $_GET['lang'] es received:
			- if exist a traduction for the langauage in this parameter:
				- assgin to the variables the translation in this language
 * <code>
 <?php
 	$form = array(
		'email_tpl' => array(
			'id' => 1,
			'name' => 'to_admin_item_added',
			'subject' => 'My subject [aa]',
			'body' => '<b>[aa]</b>Some text some text <ul><li>[bb1]</li><li>[cc]</li></ul>',
			'lang' => 'English',
			'wildcards' => array(
				array(
					'name' => '[site_url]',
					'description' => __('Website URL')), 
				array(
					'name' => '[site_name]',
					'description' => __('Name of the website')),
				array(
					'name' => '[aa]',
					'description' => 'Some description'
				),
				array(
					'name' => '[bb1]',
					'description' => 'Some description'
				),
				array(
					'name' => '[cc]',
					'description' => 'Some description2 Some description2 Some description2 Some description2 '
				)
			)
		)
	);
 ?>
 * </code>
 * 
 */
?>
<div class="wrap">
<h2><?php _e('Email Template','emails-tpl')?></h2>
  <?php include(EmailsTpl::$plugin_dir . '/includes/msg.php'); ?>
<form action="" method="post" class="email_tpl-form">
  <div class="fieldset">
  <table class="form-table">
    <tr class="form-field">
      <th><label><?php _e('Name','emails-tpl'); ?></label></th>
      <td><?php echo $form['email_tpl']['name']; ?></td>
    </tr>
    <tr class="form-field">
      <th><label><?php _e('Language','emails-tpl'); ?></label></th>
      <td><?php echo $form['email_tpl']['lang']; ?></td>
    </tr>
    <tr class="form-field">
      <th><label for="subject"><?php _e('Subject','emails-tpl'); ?></label></th>
      <td><input name="subject" id="subject" type="text" value="<?php echo $form['email_tpl']['subject']; ?>" class="regular-text" /></td>
    </tr>
    <tr class="form-field">
      <th><label for="body"><?php _e('Body','emails-tpl'); ?></label></th>
      <td><textarea name="body" id="body"  cols="60" rows="15"><?php echo $form['email_tpl']['body']; ?></textarea></td>
    </tr>
  </table>
  <p class="submit">
    <input name="wildcards_list" type="hidden" value="<?php echo $form['email_tpl']['wildcards_list']; ?>" />
    <input name="name" type="hidden" value="<?php echo $form['email_tpl']['name']; ?>" />
    <input name="lang" type="hidden" value="<?php echo $form['email_tpl']['lang']; ?>" />
    <input type="submit" value="<?php _e('Save changes','emails-tpl'); ?>" class="button-primary" name="submit" />
  </p>
  </div>
  <div class="block">
  	<h3><?php _e('Wildcards','emails-tpl'); ?></h3>
    <p><?php _e('Use the following wildcards in the subject or body.','emails-tpl'); ?></p>
    <?php if (count($form['email_tpl']['wildcards']) > 0) { ?>
    <dl>
      <?php foreach ($form['email_tpl']['wildcards'] as $wildcard) { ?>
      	<dt><?php echo $wildcard['name']; ?></dt>
        <dd><?php echo $wildcard['description']; ?></dd>
      <?php } ?>
      </dl>
    <?php } ?>
  </div>
	</form>
</div>