<?php
/**
 * Template to list emails templates
 *
 * //Class: emails_tpl
 * @uses array	$items //list of emails_tpl
 * @uses number $items['id']
 * @uses string $items['name']
 * @uses string	$items['subject']
 *
 * @uses array	$langs //array of languages entered in settings page
 *
 * @package emails_tpl
 * 
 * Security
 * - admins is required to view
 *
 * Actions
 * 1- List emails_tpls
 *	- emails_tpls must be sorted alphabetically by emails_tpl.name
 * 	- if admin is logged in:
 *		- show all emails_tpls
 * <code>
 <?php
	$items = array(
		array(
			'id' => 1,
			'name' => 'Test business',
			'owner_wp_user_id' => 2,
			'owner_username' => 'gandalf',
			'delete_mark' => true,
			'active' => true,
		),
		array(
			'id' => 2,
			'name' => 'Teas asdfasfa ess 2',
			'owner_wp_user_id' => 1,
			'owner_username' => 'frodo',
			'delete_mark' => true,
			'active' => false,
		),
		array(
			'id' => 3,
			'name' => 'Testasdf fas iness 3',
			'owner_wp_user_id' => 3,
			'owner_username' => 'gollum',
			'delete_mark' => false,
			'active' => true,
		)
	);
	$page_title = 'Businesses';
	$user_type = 'owner';
	$url_query = 'owner_id=1&filter=inactive'
 ?>
 * </code>
 * 
 */	
?>
<div class="wrap">
  <h2><?php _e('Emails Templates','emails-tpl')?></h2>
	<?php
    if (count($items) == 0) {
      $msg_notify[] = __('No items found.','emails-tpl');
   ?>
  <?php include(EmailsTpl::$plugin_dir . '/includes/msg.php'); ?>
  <?php } else { ?>
    <table cellpadding="2" class="widefat page fixed" width="100%">
      <thead>
        <tr>
          <th><?php _e('Key','emails-tpl'); ?></th>
          <th><?php _e('Subject','emails-tpl'); ?></th>
          <th><?php _e('Functions','emails-tpl'); ?></th>
        </tr>
      </thead>
      <tbody>
      <?php 
    // Paginator code
	$show_tpl = FALSE;
	$items_count = count($items);
	include(B2bPlugin4::$plugin_dir . '/../gpc-kits/includes/paginator.php');
	$index = 1;
	// End: Paginator code
      foreach ($items as $item) { 
      	if ($index>=$pagination_first_item && $index<=$pagination_last_item) { // Paginator code
      	?>
      <tr> 
        <td class="key column-key"><a href="<?php echo EmailsTpl::$plugin_url . '../../../wp-admin/themes.php?page=email_templates&id=' . $item['id']; ?>" title="<?php _e('Edit','emails-tpl'); ?>"><?php echo $item['name']; ?></a></td>
        <td class="subject column-subject"><?php echo $item['subject']; ?></td>
        <td class="funtions column-function">
      	<?php foreach ($langs as $lang) { ?>
          <a href="<?php echo EmailsTpl::$plugin_url; ?>../../../wp-admin/themes.php?page=email_templates&id=<?php echo $item['id']; ?>&amp;lang=<?php echo $lang; ?>" title="<?php _e('Translation for:','emails-tpl'); ?> <?php echo $lang; ?>" class="action_view"><?php echo $lang; ?></a>
				<?php } ?>
        </td>
      </tr>
			<?php 
			} // Paginator code
	    	$index++; // Paginator code 
  } ?>
	</tbody>
    </table>
  <?php } ?>
  <?php
  	// Paginator code
	$show_tpl = TRUE;
	include(B2bPlugin4::$plugin_dir . '/../gpc-kits/includes/paginator.php');
	// End: Paginator code
  ?>
</div>